﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DotNetConceptSampleJSONSerialization
{
    public sealed class Forecast : IForecast
    {
        /// <summary>
        /// Gets or sets the identifier.
        /// </summary>
        /// <value>
        /// The identifier.
        /// </value>
        public int Id { get; set; }

        /// <summary>
        /// Gets or sets the date time.
        /// </summary>
        /// <value>
        /// The Created Date.
        /// </value>
        public System.DateTime CreatedDate { get; set; }

        /// <summary>
        /// Gets or sets the name of the ForeCast.
        /// </summary>
        /// <value>
        /// The name of the ForeCast.
        /// </value>
        public string ForeCastName { get; set; }

        /// <summary>
        /// Gets or sets the type of the ForeCast.
        /// </summary>
        /// <value>
        /// The type of the ForeCast.
        /// </value>
        public string ForeCastType { get; set; }

        /// <summary>
        /// Gets or sets the depth.
        /// </summary>
        /// <value>
        /// The depth.
        /// </value>
        public int Depth { get; set; }

        /// <summary>
        /// Gets or sets the sessions.
        /// </summary>
        /// <value>
        /// The sessions.
        /// </value>
        public int Sessions { get; set; }
    }
}
