﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DotNetConceptSampleJSONSerialization
{
    /// <summary>
    /// Interface for Forecast
    /// </summary>
    public interface IForecast
    {

        /// <summary>
        /// Gets or sets the identifier.
        /// </summary>
        /// <value>
        /// The identifier.
        /// </value>
        int Id { get; set; }

        /// <summary>
        /// Gets or sets the date time.
        /// </summary>
        /// <value>
        /// The date time.
        /// </value>
        DateTime CreatedDate { get; set; }

        /// <summary>
        /// Gets or sets the name of the ForeCast.
        /// </summary>
        /// <value>
        /// The name of the ForeCast.
        /// </value>
        string ForeCastName { get; set; }

        /// <summary>
        /// Gets or sets the type of the ForeCast.
        /// </summary>
        /// <value>
        /// The type of the ForeCast.
        /// </value>
        string ForeCastType { get; set; }

        /// <summary>
        /// Gets or sets the depth.
        /// </summary>
        /// <value>
        /// The depth.
        /// </value>
        int Depth { get; set; }

        /// <summary>
        /// Gets or sets the sessions.
        /// </summary>
        /// <value>
        /// The sessions.
        /// </value>
        int Sessions { get; set; }
    }
}
